# $Revision: 1.14 $, $Date: 2006/07/26 20:57:52 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	DBI-AsForm
Summary:	Produce HTML form elements for database columns
Summary(pl):	Tworzenie pl formularzy HTML z kolumn baz danych
Name:		perl-Class-DBI-AsForm
Version:	2.42
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5799ef3305aff13b911b2f13f36951f5
URL:		http://search.cpan.org/dist/Class-DBI-AsForm/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-DBI >= 0.94
BuildRequires:	perl-Class-DBI-Plugin-Type
BuildRequires:	perl-DBD-SQLite2
BuildRequires:	perl-HTML-Tree
%endif
Requires:	perl-Class-DBI >= 0.94
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module helps to generate HTML forms for creating new database
rows or editing existing rows. It maps column names in a database
table to HTML form elements which fit the schema. Large text fields
are turned into textareas, and fields with a has-a relationship to
other Class::DBI tables are turned into select drop-downs populated
with objects from the joined class.

%description -l pl
Modu ten uatwia generowanie formularzy HTML tworzcych nowe wiersze
bazy danych lub edytujcych istniejce wiersze. Odwzorowuje w
okrelony sposb nazwy kolumn bazy danych na elementy formularza HTML.
Due pola tekstowe s przeksztacane na wielowierszowe pola tekstowe
(textarea), a pola posiadajce zwizki z innymi tabelami Class::DBI s
przeksztacane w pola wyboru wypenione obiektami powizanej klasy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/DBI/AsForm.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-AsForm.spec,v $
Revision 1.14  2006/07/26 20:57:52  glen
- correct License

Revision 1.13  2006/02/17 16:14:10  glen
- 2.42

Revision 1.12  2005/03/13 19:19:11  migo
- up to 2.41
- enable tests by default

Revision 1.11  2004/11/03 22:30:09  paladine
- formatting

Revision 1.10  2004/08/08 17:37:02  adamg
- updated to 2.3

Revision 1.9  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.8  2004/05/06 18:43:04  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.6  2004/04/09 11:40:59  migo
- up to 2.2

Revision 1.5  2004/01/30 22:24:58  migo
- up to 2.1, new bcond style
- tests enabled by default

Revision 1.4  2004/01/24 22:12:08  arekm
- autoupdated to 1.1

Revision 1.3  2003/09/27 21:03:03  migo
- fixes in description

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/22 10:53:38  migo
- initial release
